ReferenceAPI referenceWorkflows
List durable product-engineering work items
GET
/organizations/{organization_id}/work-itemstasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128Query Parameters
state?string
Value in
- "OPEN"
- "RUNNING"
- "WAITING"
- "COMPLETED"
- "FAILED"
- "CANCELLED"
cursor?string
page_size?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/string/work-items"{ "data": [ { "active_run_id": "string", "available_actions": [ "APPROVE" ], "completed_at": "string", "created_at": "string", "id": "string", "kind": "QUESTION", "organization_id": "string", "parent_artifact_id": "string", "parent_work_item_id": "string", "phase": "INTAKE", "primary_repository_id": "string", "requested_by_login": "string", "source": "GITHUB", "source_url": "string", "state": "OPEN", "summary": "string", "title": "string", "updated_at": "string", "waiting_reason": "CONTEXT" } ], "meta": { "next_cursor": "string", "previous_cursor": "string" }}